Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.server.oc4j
Class OjdlLog

`java.lang.Object
oracle.toplink.logging.AbstractSessionLog
oracle.toplink.logging.JavaLog
oracle.toplink.platform.server.oc4j.OjdlLog`

All Implemented Interfaces:
  java.lang.Cloneable, SessionLog, SessionLog

public class OjdlLog
extends JavaLog

Field Summary

Fields inherited from class oracle.toplink.logging.JavaLog
`DEFAULT_TOPLINK_NAMESPACE`

Fields inherited from interface oracle.toplink.sessions.SessionLog
`ALL, CACHE, CONFIG, CONNECTION, DMS, EJB, EJB_ANNOTATION, EVENT, FINE, FINER, FINEST, INFO, OFF, PROPAGATION, QUERY, SEQUENCING, SEVERE, SQL, TRANSACTION, WARNING, WEAVER`

Constructor Summary
`OjdlLog()`

Methods inherited from class oracle.toplink.logging.JavaLog
`getLevel, log, setLevel, setSession, shouldLog, throwing`

Methods inherited from class oracle.toplink.logging.AbstractSessionLog
`config, fine, finer, finest, getDateFormat, getLevel, getLog, getSession, getWriter, info, log, log, log, log, log, log, log, logThrowable, setDateFormat, setLevel, setLog, setShouldLogDebug, setShouldLogExceptions, setShouldLogExceptionStackTrace, setShouldPrintConnection, setShouldPrintDate, setShouldPrintSession, setShouldPrintThread, setWriter, severe, shouldLog, shouldLogDebug, shouldLogExceptions, shouldLogExceptionStackTrace, shouldPrintConnection, shouldPrintDate, shouldPrintSession, shouldPrintThread, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OjdlLog

    public OjdlLog()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD